/*
 * Copyright 2012 Canonical Ltd.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef FRIENDSUTILS_H
#define FRIENDSUTILS_H

#include <QtCore/QObject>
#include <QtQuick/QQuickView>
#include <friends.h>

class QQuickItem;
class QQmlEngine;
class QJSEngine;

class FriendsUtilsQml : public QObject
{
    Q_OBJECT

public:
    explicit FriendsUtilsQml(QObject *parent = 0);
    ~FriendsUtilsQml();

public Q_SLOTS:
    QString getAvatarPath(const QString& url);
    QString createTimeString(const QString& time);

private:
    FriendsUtils* m_utils;
};


#endif // FRIENDSUTILS_H
